#import "ImageBrowser.h"
#import "../Utils/Utils.h"


@implementation ImageBrowser

-(void)awakeFromNib
{
	DEBUG_LOG(@"ImageBrowser - awakeFromNib");

	// NOTE: we only override ImageBrowser to be able to customize its aspect.
	//		 This is the only way of doing it, since for a reason I don't, Apple
	//		 decided to make those options NOT available in the interface
	//		 builder ...

	// cell spacing
	[self setIntercellSpacing:NSMakeSize(5.0f, 5.0f)];

	// forground color for the cell's titles
	NSMutableDictionary * options = [[NSMutableDictionary alloc] init];
	[options setObject:[NSColor whiteColor] forKey:NSForegroundColorAttributeName];
	[self setValue:options forKey:IKImageBrowserCellsTitleAttributesKey];
	[options release];

	// background color
	[self setValue:[NSColor blackColor] forKey:IKImageBrowserBackgroundColorKey];
}

@end
