#import <Quartz/Quartz.h>
#import "ImageBrowserDelegate.h"
#import "ImageBrowserItem.h"
#import "../Utils/Utils.h"


@implementation ImageBrowserDelegate


@synthesize selectedImage = mSelectedImage;


-(id)init
{
	DEBUG_LOG(@"ImageBrowserDelegate - init");

	self = [super init];
	if (self != nil)
	{
		mSelectedImage = nil;
	}
	return self;
}

-(void)dealloc
{
	if (mSelectedImage != nil)
	{
		[mSelectedImage release];
		mSelectedImage = nil;
	}
	[super dealloc];	
}

-(void)imageBrowserSelectionDidChange:(IKImageBrowserView *)aBrowser
{
	// get the selection indexes
	NSIndexSet * selectionIndexes = [aBrowser selectionIndexes];
	
	// if there is no image selected, revert to default state
	if ([selectionIndexes count] == 0)
	{
		[self setSelectedImage:nil];
	}
	else
	{
		NSUInteger index = [selectionIndexes firstIndex];
		ImageBrowserItem * item = [[aBrowser dataSource] imageBrowser:nil itemAtIndex:index];
		[self setSelectedImage:[item path]];
	}
}

@end
