#import "ImageViewerAppDelegate.h"
#import "DirectoryBrowser/DirectoryBrowserDelegate.h"
#import "ImageBrowser/ImageBrowserDataSource.h"
#import "ImageBrowser/ImageBrowserDelegate.h"
#import "ImageView/ImageView.h"
#import "Utils/SimpleProfiler.h"


@implementation ImageViewerAppDelegate


-(void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	// the application finished loading, it's time to bind a few things
	// togethre ! First, create the options for the bindings
	NSMutableDictionary * options = [[NSMutableDictionary alloc] init];
	[options setObject:[NSNumber numberWithBool:YES]
			 forKey:NSContinuouslyUpdatesValueBindingOption];
			 
	// bind the currently selected directory of the directory browser to the
	// image browser view. This way, each time we select another directory,
	// the image browser view will update itself
	[mImageBrowserDataSource bind:@"currentDirectory"
							 toObject:mDirectoryBrowserDelegate
							 withKeyPath:@"currentDirectory"
							 options:options];

	// bind the first selected image of the image browser to the image view
	[mImageView bind:@"currentImage"
				toObject:mImageBrowserDelegate
				withKeyPath:@"selectedImage"
				options:options];

	// cleanup
	[options release];
}

-(void)applicationWillTerminate:(NSNotification *)notification
{
	// do a little cleanup
	[[SimpleProfiler instance] log];
	[SimpleProfiler destroyInstance];
	
	// unbind
	[mImageBrowserDataSource unbind:@"currentDirectory"];
	[mImageView unbind:@"currentImage"];
}

-(BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender
{
	return YES;
}

@end
